Name: xerces-j
Version: 2.6.2
Release: alt0.M24.1

Summary: Java XML parser
Group: Development/Java
License: Apache Software License
Url: http://xml.apache.org/xerces2-j/

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Provides: jaxp_parser_impl

Source: http://xml.apache.org/dist/xerces-j/Xerces-J-src.%version.tar.gz
Source1: http://xml.apache.org/dist/xerces-j/Xerces-J-tools.%version.tar.gz
Source2: xerces-j.xml

Patch1: %name-build.xml.patch

BuildArch: noarch

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel xml-commons-apis xvfb-run xml-commons-resolver
BuildPreReq: libalternatives-devel rpm-build-java ant

Requires: java-common >= 1.2 j2se >= 1.4.2 xml-commons-apis xml-commons-resolver
Requires(post,preun): alternatives

%description
Xerces2 is the next generation of high performance, fully compliant
XML parsers in the Apache Xerces family. This new version of Xerces
introduces the Xerces Native Interface (XNI), a complete framework for
building parser components and configurations that is extremely
modular and easy to program.  The Apache Xerces2 parser is the
reference implementation of XNI but other parser components,
configurations, and parsers can be written using the Xerces Native
Interface. For complete design and implementation documents, refer to
the XNI Manual.  Xerces 2 is a fully conforming XML Schema
processor. For more information, refer to the XML Schema page.  Xerces
2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working
Drafts.  For more information, refer to the DOM Level 3 Implementation
page.

%package samples
Group: Development/Java
Summary: Samples for Xerces
Requires: %name = %version-%release

%description samples
Samples for Xerces, an XML parser for Java.

%package javadoc
Summary: Javadoc for Xerces
Group: Development/Java
Requires: java-common >= 1.2 xml-commons-apis-javadoc

%description javadoc
Javadoc documentation for Xerces, an XML parser for Java.

%package manual
Summary: Manual for Xerces
Group: Development/Java
Requires: %name = %version-%release

%description manual
Documentation for Xerces, an XML parser for Java.

%prep
%setup -q -n xerces-2_6_2 -a 1
%patch1

%__rm tools/xml-apis.jar
%__rm tools/resolver.jar
%__rm tools/ant.jar
%__ln_s /usr/share/java/xml-commons-apis.jar tools/xml-apis.jar
%__ln_s /usr/share/java/xml-commons-resolver.jar tools/resolver.jar

%build
xvfb-run %__ant jars docs javadocs

%install
%__mkdir_p %buildroot%_altdir
%__install -m644 %SOURCE2 %buildroot%_altdir/%name

%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_datadir/%name

%__install -m644 build/xercesImpl.jar %buildroot%_javadir
%__install -m644 build/xercesSamples.jar %buildroot%_datadir/%name/%name-samples.jar

%__rm -rf build/docs/javadocs/api

%__mv build/docs/javadocs %buildroot%_javadocdir/%name
%__mv build/docs %buildroot%_docdir/%name-%version
%__mv samples %buildroot%_datadir/%name
%__mv data %buildroot%_datadir/%name

%__cp {LICENSE,ISSUES,STATUS,TODO} %buildroot%_docdir/%name-%version/

%__ln_s %_javadocdir/%name %buildroot%_docdir/%name-%version/docs/javadocs
%__ln_s %_javadocdir/xml-commons-resolver-1.1 %buildroot%_javadocdir/%name/api

%post
%register_alternatives %name -- jaxp_parser_impl.jar

%preun
%unregister_alternatives %name

%files
%_altdir/%name
%_javadir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/LICENSE
%_docdir/%name-%version/ISSUES
%_docdir/%name-%version/STATUS
%_docdir/%name-%version/TODO

%files samples
%_datadir/%name

%files javadoc
%_javadocdir/%name

%files manual
%_docdir/%name-%version/docs

%changelog
* Sun Apr 17 2005 Alexey Borovskoy <alb@altlinux.ru> 2.6.2-alt0.M24.1
- Backport to Master 2.4
- Revert to old alternatives scheme
- Sync with my local repo
  + Update xerces-j-build.xml.patch
- Remove xerces-j-build.sh.patch

* Mon Mar 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.2-alt1
- Remove JDK version hardcoding

* Sun Feb 22 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.2-alt0.1
- Updated to upstream release 2.6.2

* Wed Jan 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt3.1
- Temporarily hardcode the JDK

* Sat Dec 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt3
- Patches from Alexey Borovskoy
- Use xvfb-run to start fake X server
- Migration to new alternatives scheme

* Sat Dec 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt2
- Added update-alternatives to install-time dependencies
- Corrected timing of updating alternatives during uninstall/upgrade
- Set JAVA_HOME to the commonly known J2SE directory

* Thu Dec 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- New upstream release

* Thu Sep 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.5.0-alt1
- Updated to 2.5.0, renamed to xerces-j because xerces 1.x is obsolete
- Dropped README from the docs as it contains nothing but build instructions
- Remove JAXP api docs from javadoc, link to xml-commons-apis instead

* Sun Nov 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.1-alt1
- Ported the package over from the JPackage project. Thank you guys.

